package com.celebcam;

import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;

public final class CCEffectsLibrary {
	
	enum ReturnType { SUCCEEDED, FAILED, NOT_IMPLEMENTED };
	
	static Canvas mCanvas;
	
	static void setCanvas( Canvas canvas )
	{
		mCanvas = canvas;
	}
	
	static ReturnType addText( String text, int x, int y, Paint paint )
	{
		mCanvas.drawText(text, x, y, paint);
		
		return ReturnType.SUCCEEDED;
	}
	
	static ReturnType addSparkles( )
	{
		return ReturnType.NOT_IMPLEMENTED;
	}
	
	static public void composeImage( Bitmap lowerBitmap, Bitmap upperBitmap)
	{
		mCanvas.drawBitmap( lowerBitmap, 0, 0, null );
		mCanvas.drawBitmap( upperBitmap, 0, 0, null );
		
	}
	
	static public void negative( Bitmap bitmap )
	{
		for( int i = 0; i < bitmap.getWidth(); i++ )
		{
			for(int j = 0; j < bitmap.getHeight(); j++ )
			{
				bitmap.setPixel(i, j, 0xffffffff & (1 - ( 0x00ffffff & bitmap.getPixel(i, j) )));
			}
		}
	}
}
